import 'package:flutter/material.dart';

class CustomTextUnlineField extends StatelessWidget {
  final String? label;
  final color;
  final TextAlign? align;
  final double? textSize;
  final int? maxLine;

  CustomTextUnlineField(
      {this.label, this.color, this.align, this.maxLine = 2, this.textSize});

  @override
  Widget build(BuildContext context) {
    if (label != null && label != "") {
      return Text(label ?? "null",
          textAlign: align,
          maxLines: maxLine,
          style: TextStyle(
              fontSize: textSize,
              color: color,
              fontWeight: FontWeight.bold,
              decoration: TextDecoration.underline));
    } else {
      return Container();
    }
  }
}
